class StoreJobReport < RxModule::Reporting::ModelAutoReport
  model_target(StoreJobDatum)
  ui_hint(category: 'Inventory')

  def self.report_enabled?
    ENV['CORPORATE_RXU'] || StoreJobDatum.exists? # use this to suppress the report if the system configuration does not call for it
  end
end