class CreateTaxCharges < ActiveRecord::Migration[6.0]
  def change
    create_table :tax_charges do |t|
      t.string :taxdesc
      t.decimal :taxprice, precision: 12, scale: 3
      t.string :taxcode
      t.belongs_to :order, foreign_key: {on_delete: :cascade, on_update: :cascade}

      t.index :taxcode

      t.timestamps
    end
  end
end
