class AddTotalAddonPriceToOrders < ActiveRecord::Migration[6.0]
  def up
    add_column :orders, :totaladdonprice, :decimal, precision: 12, scale: 3
    execute("UPDATE orders o
SET totaladdonprice = a.valsum
FROM
(
  SELECT order_id, SUM(addonprice) as valsum
  FROM addon_charges
  GROUP BY  order_id
) a
WHERE o.id = a.order_id")
  end

  def down
    remove_column :orders, :totaladdonprice
  end
end
