require_relative 'boot'

require 'rails/all'

# Require the gems listed in Gemfile, including any gems
# you've limited to :test, :development, or :production.
Bundler.require(*Rails.groups)

module Hub
  class Application < Rails::Application
    # Initialize configuration defaults for originally generated Rails version.
    config.load_defaults 6.0
    config.generators do |g|
      g.api_only = true
    end
    config.active_job.queue_adapter = :sucker_punch
    config.hosts = nil
    # Settings in config/environments/* take precedence over those specified here.
    # Application configuration can go into files in config/initializers
    # -- all .rb files in that directory are automatically loaded after loading
    # the framework and any gems in your application.
    Rails.configuration.after_initialize do
      Rails.application.configure do
        config.web_console.whiny_requests = false if config.respond_to?(:web_console) && config.web_console.whiny_requests
      end
    end
  end
end
