Rails.application.routes.draw do
  resources :order_frames
  mount RxModule::Engine => "/api/rx_module"
  scope :api, defaults: { format: :json } do
    resources :apps
  end
  root '/', controller: :index, action: :show
  match '*path' => 'index#show', via: :all
end
