class CreateAddonCharges < ActiveRecord::Migration[6.0]
  def change
    create_table :addon_charges do |t|
      t.string :addondesc
      t.decimal :addonprice, precision: 12, scale: 3
      t.string :addoncode
      t.belongs_to :order, foreign_key: {on_delete: :cascade, on_update: :cascade}

      t.index :addoncode

      t.timestamps
    end
  end
end
