class CreateJobTrackerHistories < ActiveRecord::Migration[6.0]
  def change
    create_table :job_tracker_histories do |t|
      t.datetime :jtdatetime
      t.string :jtstation
      t.string :jtdesc
      t.string :jtmessage
      t.string :jtoperator
      t.belongs_to :order, foreign_key: {on_delete: :cascade, on_update: :cascade}

      t.index :jtdatetime
      t.index :jtstation

      t.timestamps
    end
  end
end
