class AddIsPlaceholderToCcstx < ActiveRecord::Migration[6.0]
  class CorporateConsolidatedStockTransaction < ActiveRecord::Base;
  end

  def up
    add_column :corporate_consolidated_stock_transactions, :is_placeholder, :boolean
    CorporateConsolidatedStockTransaction.update_all("is_placeholder=(ccstxtotalqty IS NULL) AND (ccstxtotalreceivecost IS NULL)")
  end

  def down
    remove_column :corporate_consolidated_stock_transactions, :is_placeholder
  end
end
